Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.api.query.qom
Interface Between

All Superinterfaces:
  Constraint

All Known Implementing Classes:
  JcrBetween

    public interface Between

extends Constraint

A constraint that evaluates to true when the value defined by the dynamic operand evaluates to be within the specified range.

Method Summary
`StaticOperand` | `getLowerBound()` Get the lower bound operand.
`DynamicOperand` | `getOperand()` Get the dynamic operand specification.
`StaticOperand` | `getUpperBound()` Get the upper bound operand.
`boolean` | `isLowerBoundIncluded()` Return whether the lower bound is to be included in the results.
`boolean` | `isUpperBoundIncluded()` Return whether the upper bound is to be included in the results.

Method Detail

### getOperand

    DynamicOperand getOperand()

  Get the dynamic operand specification.

  Returns:
    the dynamic operand; never null

### getLowerBound

    StaticOperand getLowerBound()

  Get the lower bound operand.

  Returns:
    the lower bound; never null

### getUpperBound

    StaticOperand getUpperBound()

  Get the upper bound operand.

  Returns:
    the upper bound; never null

### isLowerBoundIncluded

    boolean isLowerBoundIncluded()

  Return whether the lower bound is to be included in the results.

  Returns:
    true if the `lower bound` is to be included, or false otherwise

### isUpperBoundIncluded

    boolean isUpperBoundIncluded()

  Return whether the upper bound is to be included in the results.

  Returns:
    true if the `upper bound` is to be included, or false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.